- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# osgautotransform.cpp File Reference

`#include <osgUtil/Optimizer>`
`#include <osgDB/ReadFile>`
`#include <osgProducer/Viewer>`
`#include <osg/Material>`
`#include <osg/Geode>`
`#include <osg/BlendFunc>`
`#include <osg/Depth>`
`#include <osg/Projection>`
`#include <osg/AutoTransform>`
`#include <osg/Geometry>`
`#include <osgText/Text>`

Include dependency graph for osgautotransform.cpp:

## Functions
osg::Node * | createLabel (const osg::Vec3 &pos, float size, const std::string &label)
osg::Node * | createLabel3 (const osg::Vec3 &pos, float size, const std::string &label)
osg::Node * | createAxis (const osg::Vec3 &s, const osg::Vec3 &e, int numReps, osg::AutoTransform::AutoRotateMode autoRotateMode, const std::string &str)
osg::Node * | createScene ()
int | main (int argc, char **argv)

## Function Documentation

osg::Node* createAxis | ( | const osg::Vec3 & | s,
|  | const osg::Vec3 & | e,
|  | int | numReps,
|  | osg::AutoTransform::AutoRotateMode | autoRotateMode,
|  | const std::string & | str
| ) |

osg::Node* createLabel | ( | const osg::Vec3 & | pos,
|  | float | size,
|  | const std::string & | label
| ) |

osg::Node* createLabel3 | ( | const osg::Vec3 & | pos,
|  | float | size,
|  | const std::string & | label
| ) |

osg::Node* createScene | ( |  | ) |

int main | ( | int | argc,
|  | char ** | argv
| ) |